Package: org.codehaus.groovy.classgen.asm.sc

## [Java] Class StaticPropertyAccessHelper

- org.codehaus.groovy.classgen.asm.sc.StaticPropertyAccessHelper

- Contains helper methods aimed at facilitating the generation of statically compiled bytecode for property access.

  Authors:
    Cédric Champeau
  Since:
    2.4.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static Expression` | `transformToSetterCall(Expression receiver, MethodNode setterMethod, Expression arguments, boolean implicitThis, boolean safe, boolean spreadSafe, boolean requiresReturnValue, Expression location)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public static Expression transformToSetterCall(Expression receiver, MethodNode setterMethod, Expression arguments, boolean implicitThis, boolean safe, boolean spreadSafe, boolean requiresReturnValue, Expression location)